# Class CIM_OSPFService
extends CIM_RouteCalculationService

This class is used to represent the basic operation of OSPF. It is derived from the RouteCalculationService, the superclass of all routing protocols.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_NetworkService
|
+--CIM_RouteCalculationService
|
+--CIM_OSPFService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class is used to represent the basic operation of OSPF. It is derived from the RouteCalculationService, the superclass of all routing protocols.
UMLPackagePath | string | CIM::Network::OSPF
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ExitOverflowInterval | uint32 |
Description | string | The number of seconds that, after entering OverflowState, a router will attempt to leave OverflowState. When set to 0, the router will not leave OverflowState until restarted, see 2.1 in RFC 1765.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfExitOverflowInterval
Units | string | Seconds
IsInterAreaMulticastForwarder | boolean |
Description | string | This attribute indicates whether this router will forward multicast datagrams between OSPF areas or not, see B.1 in RFC 1584.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfMulticastExtensions
IsInterAsMulticastForwarder | boolean |
Description | string | This attribute indicates whether this router will forward multicast datagrams between Autonomous Systems or not, see B.1 in RFC 1584.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfMulticastExtensions
RFC1583Compatibility | boolean |

Description

string

Controls the preference rules used in choosing among multiple AS-external-LSAs advertising the same destination. When set to TRUE, the preference rules remain those specified by RFC 1583. When set to FALSE, the preference rules are those stated in RFC 2328, which prevent routing loops when AS-external-LSAs for the same destination have been originated from different areas. See C.1 in RFC2328.

RunningMOSPF | boolean |
Description | string | This attribute indicates whether this router is running MOSPF (multicast enhancements to OSPF) or not, see B.1 in RFC 1584. This attribute only can be true, when the SupportMOSPF property in OSPFService Capabilities is also true. If SupportMOSPF is false, then this property has no meaning.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfMulticastExtensions

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AlgorithmType | uint16 | CIM_RouteCalculationService
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
RouterID | string | CIM_RouteCalculationService
ServiceURL | string | CIM_NetworkService
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
Keywords | string[] | CIM_NetworkService
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StartupConditions | string[] | CIM_NetworkService
StartupParameters | string[] | CIM_NetworkService
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service